# IBM Visualization Data Explorer Programmer's Reference

[ Bottom of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]

### DXGetEnumeratedAttribute

Function

Retrieves the `n`th attribute from an Object.

Syntax
`
#include <dx/dx.h>
`

Object DXGetEnumeratedAttribute(Object o, int n, char **name)

Functional Details

The attribute to be retrieved from Object `o` is specified by the zero-based index `n`. If `o` has an `n`th attribute, and `name` is not `NULL`, the string associated with the `n`th attribute will be returned in `name`.

Return Value

Returns the Object associated with the index `n` or returns `NULL` without setting an error code.

See Also

`DXGetAttribute, DXGetFloatAttribute, DXGetIntegerAttribute, DXGetStringAttribute, DXSetAttribute, DXDeleteAttribute, DXSetFloatAttribute, DXSetIntegerAttribute, DXSetStringAttribute`

"Object Routines".

[ Top of Page | Previous Page | Next Page | Table of Contents | Partial Table of Contents | Index ]
[Data Explorer Documentation | QuickStart Guide | User's Guide | User's Reference | Programmer's Reference | Installation and Configuration Guide ]

[Data Explorer Home Page | Contact Data Explorer | Same document on Data Explorer Home Page ]

[IBM Home Page | Order | Search | Contact IBM | Legal ]